Redmine - Patch #27510

Introduce active? method to Group via Principal model
2017-11-10 14:36 - Aleksandar Pavic

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Description

Groups should have "active" method, because they can be assigned issues to, and are treated in many ways as users.

Some plugins like https:/github.com/Restream/redmine_reminder use it, and even cause error as described here
https://github.com/Restream/redmine_reminder/issues/5

Even though it could be resolved as a plugin my opinion is that groups.rb model should have active method, simply because they
already have status attribute...

So proposed is to add active? method, as provided in patch file.

Associated revisions

Revision 22976 - 2024-08-21 10:05 - Go MAEDA

Introduce “active?” method to Group via Principal model (#27510).

Patch by Go MAEDA (user:maeda).

History

#1-2017-12-10 11:29 - Toshi MARUYAMA

Why not in Principal model?

#2 - 2024-08-18 08:06 - Go MAEDA
- File 27510.patch added

- Target version set to Candidate for next major release

The attached patch moves active?, registered?, and locked? methods from the User model to the Principal model.
With this change, groups will also have these three methods, just like users.

#3 - 2024-08-19 02:00 - Go MAEDA

- Subject changed from Groups active method to Add active?, registered?, and locked? methods to the Group model by moving them from the Users
model to the Principal model

- Category changed from Groups to Code cleanup/refactoring

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#4 - 2024-08-19 02:02 - Go MAEDA

- Subject changed from Add active?, registered?, and locked? methods to the Group model by moving them from the Users model to the Principal
model to Add active?, registered?, and locked? methods to the Group model by moving them from the User model to the Principal model

#5 - 2024-08-20 05:33 - Go MAEDA
- File 27510-v2.patch added

- Subject changed from Add active?, registered?, and locked? methods to the Group model by moving them from the User model to the Principal
model to Add active? method to the Group model by moving it from the User model to the Principal model

Updated the patch. This version of the patch moves only the active? method, does not move registered? and locked? methods to the Principal model.
This is because the Group model does not allow STATUS_LOCKED and STATUS_REGISTERED statues.
https://github.com/Restream/redmine_reminder
https://github.com/Restream/redmine_reminder/issues/5

source:tags/5.1.3/app/models/group.ro#l. 34

self.valid_statuses = [STATUS_ACTIVE]

#6 - 2024-08-21 10:06 - Go MAEDA

- Subject changed from Add active? method to the Group model by moving it from the User model to the Principal model to Introduce active? method

to Group via Principal model
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22976.

Files

group.rb.diff 276 Bytes 2017-11-10 Aleksandar Pavic

27510.patch 1.34 KB 2024-08-18 Go MAEDA

27510-v2.patch 1.06 KB 2024-08-20 Go MAEDA
